WordPress.org

Ready to get started?Download WordPress

Forums

iThemes Security (formerly Better WP Security)
[Plugin: Better WP Security] You do not have sufficient permissions to access this page (30 posts)

  1. kathleenfasanella
    Member
    Posted 1 year ago #

    Hi
    This is a new plugin for me. Intermittently, I get the described error whenever I click any of the tabs on this plugin's page.

    I have searched but some advice is bewildering in that it lacks specificity congruent with my experience (novice). For example, the top post recommends using the developer edition. Lacking instruction on how to install it, I did search and find that but it won't install because it says the file already exists. Etc. Another link suggests it is because the server didn't have sufficient memory to process the (latest log?). Other advice suggests the plugin is renaming tables (?). Another says slugs are being modified.

    I have someone who helps me for a fee to repair incidentals but I'd like to know what the problem is so I can fix it myself instead of having to pay repeatedly. I'd rather use my advisor's time more wisely than solving the same problem over and over. Icing on the cake would be to repair the issue once and for all.

    Also, I get a lot of error messages about files being changed. At least ten in one fell swoop daily. What's up with that?

    I appreciate your help. Thanks.

    http://wordpress.org/extend/plugins/better-wp-security/

  2. dbcoleman
    Member
    Posted 1 year ago #

    Strange, I have this very same problem. I noticed that it started happening when I activated the Quick Cache plugin.

    Are there any known conflicts with Quick Cache? I did a Google search without any luck.

    Would also appreciate any help on this issue!

    Thank you.

  3. Not familiar with quick cache so I can't answer that one. Are you guys using any non-standard roles/permissions? Have you tried logging out and then logging back in?

  4. dbcoleman
    Member
    Posted 1 year ago #

    Ok, things seem to be working fine now for both Quick Cache and BWS.

    I noticed the Ultimate Security Checker plugin added: define('DISALLOW_FILE_EDIT', true); to my wp-config.php, which disallows editing of plugins and themes through WordPress.

    The file edit feature needs to remain active if you want to use Quick Cache. Perhaps this is the case with BWS as well.

  5. Ah. Yes, BWPS can add that line as well. The option is under "System Tweaks."

  6. kathleenfasanella
    Member
    Posted 1 year ago #

    Hi, Bit51, I'm sorry to post this here but I've emailed you several times about the $50 donation I sent you but the notification email from PP bounced. I just want to know if you received it. If it went to the wrong address, I would like to know before it is too late for me to get my money back. Thank you for all you do.

  7. Hi Kathleen,

    what email did you use? My apologies on the response as it probably went to spam (which clears every couple of days).

    Thank you.

  8. kathleenfasanella
    Member
    Posted 1 year ago #

    Hi, I wrote to the address the payment was sent to -perhaps you'd better check with paypal? It was infoATbit51DOTcom

  9. Hmm, that's correct. what was the from address?

  10. kathleenfasanella
    Member
    Posted 1 year ago #

    kfasanellaATyahooDOTcom
    It should be in your paypal records for August 3. If not let me know so I can pursue that.

  11. ocbineesh
    Member
    Posted 1 year ago #

    Hi,
    I solved this issue by reinstalling Better WP Security plugin.

    thanks
    Bineesh

  12. rashad007
    Member
    Posted 1 year ago #

    hi this is a very nyc plugin but the prob is that when i login as admin then also m unable to change any of the settings of this plugin, it says "You do not have sufficient permission to access this page", i mean i am the admin and i have the right to change the settings but y is this happening??? and there probably is also a bug because even though i am unable to switch directly into a setting tab but when i click on one of the "click here to fix it" button from the dashboard's system status area then i am able to go to the system tweaks directly.please help me in regard to atleast changing the permission for the admin and atleast allowing the admin to change the settinigs of this plugin!thanx

  13. mhk1058
    Member
    Posted 1 year ago #

    Yep, same here, 'You do not have sufficient permissions to access this page.'

  14. DazzelDum
    Member
    Posted 1 year ago #

    Hello There!
    I am a non-techie newbie. I installed this plugin as part of Matt Garrets Blogdefender.
    He takes us through the tabs at the top and does fine on the video, but I cannot access and of them.

    I get a page that says I "dont have sufficient permission".
    I see others have this problem.

    Is there an easy way to fix it it? It looks like an amazing plugin!
    Thanks Mary

  15. DazzelDum
    Member
    Posted 1 year ago #

    DazzelDum again.
    Sorry for the above typo. The third line down should say
    I cant access ANY of them.
    Thanks!

  16. mhk1058
    Member
    Posted 1 year ago #

    Access seems to vary for me day by day. Can you access the 'Dashboard'?, if so try linking through to one or two of the other tabs from the individual item links in the dashboard list.... that works for me... but it still comes back from time to time.

  17. DazzelDum
    Member
    Posted 1 year ago #

    Thank you for responding.
    I can access the plugin dashboard. But I didnt quit understand where the links would be other than at the top.

  18. mhk1058
    Member
    Posted 1 year ago #

    In the dashboard there is a list of items, green, amber, blue & red. Pick one that you haven't enabled that says 'correct it here' (or similar) at the end of the line.... It is a text link to the appropriate page... Try a few different ones.

    If that doesn't work, uninstall and re-install the plugin

  19. DazzelDum
    Member
    Posted 1 year ago #

    Thanks, I really appreciate your response.
    I will try that! I already uninstalled and reinstalled

    I also installed it on 2 other sites and it is working fine.
    Probably a weird setting somewhere.

  20. gillcbarker
    Member
    Posted 1 year ago #

    Hi,

    I'm having this same problem on numerous sites and am totally baffled.

    I installed the plugin on a whopping 50 new sites (all identically set up) which I am using for test purposes yesterday.

    The settings I used were the basic level of protection with the additional options of File Change notification, activation of the Hack Repair list, the removal of user id 1 and hiding the admin panel.

    Last night I had verified that everything was working and in particular checked that the new slugs I had created for the admin panel were working and that the sites were not accessible from /wp-admin when logged out.

    This morning I accidentally accessed one of them by going to /wp-admin and it let me log in from there! I thought this was a bid odd and went into the plugin to check the settings, it is still showing that the admin panel is supposed to be hidden, however when I click on any tab whatsoever I get the "you do not have sufficient permissions" message, I am logged in using the one and only admin user name which currently exists and nothing else has changed since yesterday. I then tried half a dozen of the other sites and the problem is exactly the same in all of them. I have tried deactivating and reactivating the plugin which makes no difference. I had not installed any extra plugins since Better WP yesterday so there is nothing I have could have done to make it suddenly behave in this way.

    I don't have a caching plugin installed as someone had suggested may have been the problem above.

    Can anyone help?

    Thanks!

  21. gillcbarker
    Member
    Posted 1 year ago #

    OK, some more information on my post above.

    I've now discovered that the "You do not have sufficient permissions" message is being displayed only when I try and access the plugin settings by going via Plugins> Installed Plugins> Better WP Security settings.

    If I access the settings area from the left hand "Security" panel I do not get this message and am able to access and change the settings.

    What is also happening is that if I re-access the settings via the Security panel, I can then log out of my site and log back in again and the slugs I created for the 'hidden admin' appear to have been re-activated (ie I can once again not log in by going to /wp-admin and only with the slug I had chosen). It would appear that as a quick fix to this problem I am going to have to log in to all 50 sites, access the plugin settings again via the "Security" area to effectively re-set the hidden admin area.

    Obviously this is a massive pain and may only be temporarily effective given what has already happened.

    So, it looks like there is definitely a bug with this plug in (and one which causes a security risk ironically)

    Would be grateful if any of the developers could comment or investigate!

    Cheers

    Gill

  22. rashad007
    Member
    Posted 1 year ago #

    hey gillcbarker thanx for d info, atleast now until d bug is fixed we have an option to make changes to d settings of d plugin.Thanx dude

  23. marnixss
    Member
    Posted 1 year ago #

    Same permissions issue here.

    Also the menu item Secutity is not visible in my admin menu. Any thoughts on that?

  24. jhchia
    Member
    Posted 1 year ago #

    I also getting this bug. I got this after renaming my DB tables (automatic function in this plugin). After the change i get this message "You do not have sufficient permissions to access this page." Therefor i can't get in the admin section, nothing at all, not even my own profile.

    I changed the database tables back to the originals but still no good.

    Anyone has solved this bug? Don't know what to do anymore...

  25. YossarianC
    Member
    Posted 1 year ago #

    [OPEN]
    wp-config.php

    [FIND]
    define( 'DISALLOW_FILE_EDIT', true );

    [REPLACE]
    #define( 'DISALLOW_FILE_EDIT', true );

  26. TomCobbley
    Member
    Posted 1 year ago #

    You'll probably need to log out then in again before the changes to wp-config.php work.

    That's what I found anyway :)

  27. Bozz
    Member
    Posted 1 year ago #

    I also had this issue and can advise that gillcbarker's solution does the trick. There must be an issue with the 'settings' link via the plugin area. Thanks for sharing the solution.

  28. dannybeton
    Member
    Posted 1 year ago #

    I've had the same issue on two sites. If I clicked on the tab options, I get the "You do not have sufficient permissions" error.

    However, if I click on "Click here to fix" on the dashboard, I can then navigate all the tab options without any issues.

    Also, if I navigate to the options via the left tool bar - no issue.

    It only seems to be when I go to the options via Plugins -> Better WP Security | Settings

    Strange bug.. Still I must say I love this plugin! Keep up the great work! :)

  29. fadhlul
    Member
    Posted 1 year ago #

    In my case, I had the problem when I installed WP Minify. However, WP Super Cache have had no issue with Better WP Security up to now.

    I deactivated WP Minify and voila I can access all the features without the nagging "you have no permission" message!

    Hope it helps.

  30. bkjproductions
    Member
    Posted 1 year ago #

    Solution: Use the left sidebar "settings" link rather than the Plugin "settings" link.

    We had a similar problem. The difference seems to be:
    If you go to the WP Plugins panel, and scroll down to Better WP Security, and click "Settings" there--- then if you try to go from tab to tab, you get the "You do not have permissions" error.

    BUT, if you go to the WP sidebar "Settings" on the left, first, then go from tab to tab, there is no problem.

    So there must be something different about the plugin's "Plugin" panel's "settings" link, than the usual left sidebar "Settings" link.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic